body.no-scroll {
  overflow: hidden;
  height: 100vh;
}
.entryBlock {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  overflow: hidden;
  background-color: #a5a5a5;
  z-index: 99999;
}
.entryBlock .entryBlock__container {
  position: relative;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-rows: 1fr 1fr;
}
.entryBlock .entryBlock__top {
  position: absolute;
  z-index: 20;
  width: 100vw;
  min-width: 100vh;
  aspect-ratio: 1/1;
  -webkit-transform: translate(-50%, -15%) rotateZ(45deg);
  transform: translate(-50%, -15%) rotateZ(45deg);
  -webkit-box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, 0.3490196078);
  box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, 0.3490196078);
  background-color: #a5a5a5;
  bottom: 0;
  left: 50%;
  -webkit-transition: all 1.2s linear;
  transition: all 1.2s linear;
}
.entryBlock .entryBlock__bottom {
  position: absolute;
  overflow: hidden;
  z-index: 10;
  width: 100vw;
  min-width: 100vh;
  aspect-ratio: 1/1;
  -webkit-transform: translate(-50%, 15%) rotateZ(45deg);
  transform: translate(-50%, 15%) rotateZ(45deg);
  -webkit-box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, 0.3490196078);
  box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, 0.3490196078);
  background-color: #a5a5a5;
  top: 0;
  left: 50%;
}
.entryBlock .entryBlock_block {
  width: 100%;
  height: 100%;
  position: relative;
}
.entryBlock .entryBlock__image {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  -o-object-fit: cover;
  object-fit: cover;
  opacity: 0.2;
}
.entryBlock .entryBlock__button {
  position: absolute;
  bottom: 0;
  right: 0;
  -webkit-transform: translate(25%, 25%) rotateZ(-45deg);
  transform: translate(25%, 25%) rotateZ(-45deg);
  z-index: 30;
  width: 15rem;
  aspect-ratio: 1/1;
  background-color: unset;
  border: unset;
  outline: unset;
  cursor: pointer;
}
.entryBlock .entryBlock__button .entryBlock__button__image {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  /* border-radius: 50%; */
  /* -webkit-box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.517);
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.517); */
  -webkit-transition: all 1.2s linear;
  transition: all 1.2s linear;
}
.entryBlock .entryBlock--animation {
  -webkit-perspective: 0;
  perspective: 0;
  -webkit-transform: rotateX(0deg);
  transform: rotateX(0deg);
  position: relative;
  -webkit-transition: all 1.2s linear;
  transition: all 1.2s linear;
  z-index: 30;
}
.entryBlock.active .entryBlock__text {
  display: none;
}
.entryBlock.active .entryBlock--animation {
  -webkit-perspective: 500px;
  perspective: 500px;
  -webkit-transform: rotateX(40deg);
  transform: rotateX(40deg);
}
.entryBlock.active .entryBlock--animation .entryBlock__top {
  -webkit-box-shadow: 50px 50px 100px 5px rgba(0, 0, 0, 0.7764705882);
  box-shadow: 50px 50px 100px 5px rgba(0, 0, 0, 0.7764705882);
}
.entryBlock.active .entryBlock__button .entryBlock__button__image {
  -webkit-transform: rotateX(3 0deg) !important;
  transform: rotateX(3 0deg) !important;
  /* -webkit-box-shadow: 0 50px 100px 1px rgba(0, 0, 0, 0.517) !important;
  box-shadow: 0 50px 100px 1px rgba(0, 0, 0, 0.517) !important; */
}
.entryBlock .entryBlock__text {
  /* color: #fae2af; */
  /* color: #976d36; */
  color: black;
  font-size: 1rem;
  position: absolute;
  z-index: 9999;
  text-align: center;
  font-family: "ArmenianDecorativeU";
  left: 50%;
  transform: translate(-50%, 0);
  width: 90%;
  bottom: 10%;
  -webkit-animation: an 1s linear;
  animation: an 1s linear;
}

.block {
  position: absolute;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: white;
  opacity: 1;
  -webkit-animation: an 1s linear;
  animation: an 1s linear;
}

@-webkit-keyframes an {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes an {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@media (max-width: 1024px) {
  .entryBlock .entryBlock__button {
    width: 10rem;
  }
}
